Bug 971585 - [abrt] rabbitvcs-core-0.15.0.5-2.fc18: log.py:1446:log_factory:KeyError: 'unknown'
[abrt] rabbitvcs-core-0.15.0.5-2.fc18: log.py:1446:log_factory:KeyError: 'unk...
Status: CLOSED DUPLICATE of bug 1141530
Product: Fedora
Classification: Fedora
Component: rabbitvcs (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
abrt_hash:49f922ff3547222227917f069ea...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 16:49 EDT by Alexander Osipenko
Modified: 2014-09-14 09:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:42:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (467 bytes, text/plain)
2013-06-06 16:49 EDT, Alexander Osipenko
no flags Details
File: core_backtrace (225 bytes, text/plain)
2013-06-06 16:49 EDT, Alexander Osipenko
no flags Details
File: environ (542 bytes, text/plain)
2013-06-06 16:49 EDT, Alexander Osipenko
no flags Details

  None (edit)
Description Alexander Osipenko 2013-06-06 16:49:06 EDT
Description of problem:
run command
  rabbitvcs log
in the directory without a repo

Version-Release number of selected component:
rabbitvcs-core-0.15.0.5-2.fc18

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python /usr/lib/python2.7/site-packages/rabbitvcs/ui/log.py
executable:     /usr/lib/python2.7/site-packages/rabbitvcs/ui/log.py
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5

Truncated backtrace:
log.py:1446:log_factory:KeyError: 'unknown'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/rabbitvcs/ui/log.py", line 1462, in <module>
    window = log_factory(paths[0], vcs=options.vcs)
  File "/usr/lib/python2.7/site-packages/rabbitvcs/ui/log.py", line 1446, in log_factory
    return classes_map[vcs](path)
KeyError: 'unknown'

Local variables in innermost frame:
path: '/'
guess: {'vcs': 'unknown', 'repo_path': '/'}
vcs: 'unknown'
Comment 1 Alexander Osipenko 2013-06-06 16:49:11 EDT
Created attachment 757920 [details]
File: backtrace
Comment 2 Alexander Osipenko 2013-06-06 16:49:13 EDT
Created attachment 757921 [details]
File: core_backtrace
Comment 3 Alexander Osipenko 2013-06-06 16:49:16 EDT
Created attachment 757922 [details]
File: environ
Comment 4 Fedora End Of Life 2013-12-21 08:54:00 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2014-02-05 16:42:47 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Raphael Groner 2014-09-14 09:09:56 EDT

*** This bug has been marked as a duplicate of bug 1141530 ***

Note You need to log in before you can comment on or make changes to this bug.